%global rev 701

Name:           xflr5
Version:        6.10.04
Release:        2%{?dist}
Summary:        Analysis tool for airfoils, wings and planes

License:        GPLv2+
URL:            http://www.xflr5.com/
# The published tarballs are incomplete (i.e. doc/ folder missing)
Source0:        http://sourceforge.net/code-snapshots/svn/x/xf/xflr5/code/%{name}-code-%{rev}-tags-v%{version}.zip
Source1:        %{name}.desktop

BuildRequires:  dos2unix
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  desktop-file-utils
BuildRequires:  texlive-scheme-basic
BuildRequires:  tex(inputenc.sty)
BuildRequires:  tex(babel.sty)
BuildRequires:  tex(graphicx.sty)
BuildRequires:  tex(color.sty)
BuildRequires:  tex(hyperref.sty)
BuildRequires:  tex(amsmath.sty)
BuildRequires:  tex(fancyhdr.sty)
BuildRequires:  tex(keystroke.sty)
BuildRequires:  tex(tabularx.sty)
BuildRequires:  tex(multirow.sty)
BuildRequires:  tex(rotating.sty)

Requires:       hicolor-icon-theme


%description
XFLR5 is an analysis tool for airfoils, wings and planes operating at low
Reynolds Numbers. It includes:
1. XFoil's Direct and Inverse analysis capabilities
2. Wing design and analysis capabilities based on the Lifiting Line Theory, on
   the Vortex Lattice Method, and on a 3D Panel Method


%prep
%setup -q -n %{name}-code-%{rev}-tags-v%{version}

# Fix FSF addresses
find . -type f -print0 | xargs -0 sed -i 's|59 Temple Place, Suite 330, Boston, MA  02111-1307|51 Franklin Street, Fifth Floor, Boston, MA  02110-1301|'

# Fix line endings
find . -type f -exec dos2unix {} \;

%build
%qmake_qt5 PREFIX=%{_prefix} DEFINES='APPLICATION_DATA_DIR=\\\"%{_datadir}/%{name}\\\"' %{name}_%(v=%{version}; echo ${v%.*}).pro
make %{?_smp_mflags}
make -C doc/latex
lrelease-qt5 translations/*.ts

# Delete the translations template
rm translations/xflr5v6.qm


%install
make INSTALL_ROOT=%{buildroot} install
install -d %{buildroot}%{_datadir}/%{name}/translations
install -pm 0644 translations/*.qm %{buildroot}%{_datadir}/%{name}/translations
cp -a qss %{buildroot}%{_datadir}/%{name}/qss
install -pm 0644 doc/latex/guidelines_en.pdf %{buildroot}%{_datadir}/%{name}/Guidelines.pdf
install -Dpm 0644 images/xflr5_64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -Dpm 0644 images/xflr5_128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ %{SOURCE1}


%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc doc/ReleaseNotes.txt
%license License.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.10.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 13 2015 Sandro Mani <manisandro@gmail.com> - 6.10.04-1
- Update to 6.10.04

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.10.02-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.10.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Ville Skyttä <ville.skytta@iki.fi> - 6.10.02-2
- Don't ship .svn files

* Mon Mar 24 2014 Sandro Mani <manisandro@gmail.com> - 6.10.02-1
- Update to 6.10.02

* Mon Jan 27 2014 Sandro Mani <manisandro@gmail.com> - 6.09.06-1
- Update to 6.09.06

* Mon Nov 18 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-6
- Add pretrans scriptlet to handle replacement of %{_datadir}/applications/%{name}.desktop directory with file

* Sat Nov 16 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-5
- Fix desktop-file-install syntax

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-4
- Add fix for translations and guidelines path
- Build guidelines

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-3
- Use desktop-file-install
- Preserve timestamps

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-2
- Fix line endings
- Add patch to fix fsf addresses

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-1
- Initial package for review
